Subject: Re: [bug#49042] [PATCH 0/2] WIP gnu: Add ruby-taskjuggler.

From: Giovanni Biscuolo <[email-masked]>
Date: Wed, 16 Jun 2021 19:55:49 +0200

Hello,

some more info

Giovanni Biscuolo <[email-masked]> writes:

[...]

> --8<---------------cut here---------------start------------->8---
>
> giovanni@roquette: tj3client -c .taskjugglerrc add tutorial.tjp
> TaskJuggler v3.7.1 - A Project Management Software
>
> Exception `SecurityError' at /gnu/store/1rslmq79i0lwccxqfh4cv1shbv5hchkq-ruby-taskjuggler-3.7.1/lib/ruby/vendor_ruby/gems/taskjuggler-3.7.1/lib/taskjuggler/TjTime.rb:80 - Insecure operation - []=
> Warning: Projects(s) project-001.tjp could not be added
>
> --8<---------------cut here---------------end--------------->8---

If I comment out the "timezone" keyword in tutorial.tjp the project is
loaded (and I can see it in the localhost web interface).

Anyway, for all connections, the tj3d daemon shows this exception:

--8<---------------cut here---------------start------------->8---

Exception `DRb::DRbConnError' at /gnu/store/yw250lzn7ii8vlm5gqk4ylzgy9jg8ii3-ruby-2.6.5/lib/ruby/2.6.0/drb/drb.rb:578 - connection closed

--8<---------------cut here---------------end--------------->8---

I'm not expert in Ruby so I don't know where to investigate for this.

Happy hacking, Gio'

-- 
Giovanni Biscuolo

Xelera IT Infrastructures